package ORM;

import java.io.Serializable;

/**
 * Entity of basket content
 * @author Jakub Macoun
 */
public class BasketContent implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    private Basket basket;
    private Order theOrder;
    private Product product;
    private int count;

    public BasketContent() {}
    
    public BasketContent(Product product, int count) {
        this.product = product;
        this.count = count;
    }
    
    public Long getId() {
        return id;
    }

    private void setId(Long id) {
        this.id = id;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final BasketContent other = (BasketContent) obj;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 97 * hash + (this.id != null ? this.id.hashCode() : 0);
        hash = 97 * hash + this.count;
        return hash;
    }
    
    @Override
    public String toString() {
        return "ORM.BasketContent[ id=" + id + " ]";
    }

    /**
     * @return the basket
     */
    public Basket getBasket() {
        return basket;
    }

    /**
     * @param basket the basket to set
     */
    public void setBasket(Basket basket) {
        this.basket = basket;
    }

    /**
     * @return the product
     */
    public Product getProduct() {
        return product;
    }

    /**
     * @param product the product to set
     */
    public void setProduct(Product product) {
        this.product = product;
    }

    /**
     * @return the count
     */
    public int getCount() {
        return count;
    }

    /**
     * @param count the count to set
     */
    public void setCount(int count) {
        this.count = count;
    }

    /**
     * @return the theOrder
     */
    public Order getTheOrder() {
        return theOrder;
    }

    /**
     * @param theOrder the order to set
     */
    public void setTheOrder(Order theOrder) {
        this.theOrder = theOrder;
    }

}
