package ORM;

import java.io.Serializable;

/**
 * Branch entity
 * @author Jakub Macoun
 */
public class Branch implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    private boolean central;
    private String name;
    private String openTimes;
    private String address;

    public Long getId() {
        return id;
    }

    private void setId(Long id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        return (name + address).hashCode();
    }

    @Override
    public boolean equals(Object object) {
        if (!(object instanceof Product)) {
            return false;
        }
        
        Product other = (Product) object;
        if (this.hashCode() != other.hashCode()) {
            return false;
        }
        
        return true;
    }

    @Override
    public String toString() {
        return name;
    }

    /**
     * @return the central
     */
    public boolean isCentral() {
        return central;
    }

    /**
     * @param central the central to set
     */
    public void setCentral(boolean central) {
        this.central = central;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the openTimes
     */
    public String getOpenTimes() {
        return openTimes;
    }

    /**
     * @param openTimes the openTimes to set
     */
    public void setOpenTimes(String openTimes) {
        this.openTimes = openTimes;
    }

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

}
