package ORM;

import java.io.Serializable;
import java.util.Set;

/**
 * Goods category entity
 * @author Jakub Macoun
 */
public class Category implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    private String name;
    private Set<Product> products;

    public Long getId() {
        return id;
    }

    private void setId(Long id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        return products.hashCode();
    }

    @Override
    public boolean equals(Object object) {
        if (!(object instanceof Product)) {
            return false;
        }
        
        Product other = (Product) object;
        if (this.hashCode() != other.hashCode()) {
            return false;
        }
        
        return true;
    }

    @Override
    public String toString() {
        return name;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the products
     */
    public Set<Product> getProducts() {
        return products;
    }

    /**
     * @param products the products to set
     */
    public void setProducts(Set<Product> products) {
        this.products = products;
    }

}
