package ORM;

import java.io.Serializable;

/**
 * Product rating entity
 * @author Jakub Macoun
 */
public class Rating implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    private double points;
    private Product product;
    private User user;

    public Rating() {
    }

    public Rating(Product product, User user, double points) {
        this.product = product;
        this.user = user;
        this.points = points;
    }
    
    public Long getId() {
        return id;
    }

    private void setId(Long id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        return user.hashCode() + product.hashCode();
    }

    @Override
    public boolean equals(Object object) {
        if (!(object instanceof Product)) {
            return false;
        }
        
        Product other = (Product) object;
        if (this.hashCode() != other.hashCode()) {
            return false;
        }
        
        return true;
    }

    @Override
    public String toString() {
        return "ORM.Rating[ id=" + id + " ]";
    }

    /**
     * @return the points
     */
    public double getPoints() {
        return points;
    }

    /**
     * @param points the points to set
     */
    public void setPoints(double points) {
        this.points = points;
    }

    /**
     * @return the product
     */
    public Product getProduct() {
        return product;
    }

    /**
     * @param product the product to set
     */
    public void setProduct(Product product) {
        this.product = product;
    }

    /**
     * @return the user
     */
    public User getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(User user) {
        this.user = user;
    }

}
