package controllers.branches;

import ORM.Branch;
import helpers.RequestDataManager;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

/**
 * Bean manages information about one branch
 * @author Jakub Macoun
 */
@ManagedBean(name="branch")
@RequestScoped
public class BranchInfoBean {
    
    @ManagedProperty(value="#{branches}")
    private BranchesBean branches;

    /** Creates a new instance of BranchInfoBean */
    public BranchInfoBean() {
    }
    
    public Branch getInfo() {
        return branches.getBranchMap().get(Long.valueOf(RequestDataManager.get("id")));
    }

    /**
     * @param branches the branches to set
     */
    public void setBranches(BranchesBean branches) {
        this.branches = branches;
    }

}
