package controllers.products;

import ORM.Product;
import helpers.Navigator;
import java.util.ArrayList;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 * Bean handles products search
 * @author Jakub Macoun
 */
@ManagedBean(name="productSearch")
@RequestScoped
public class ProductSearchBean {

    private String searchValue;
    private List<Product> foundProducts = new ArrayList<Product>();
    
    /** Creates a new instance of ProductSearchBean */
    public ProductSearchBean() {
    }

    /**
     * Gets list of products and redirrects to results page
     */
    public void search() {
        Navigator.redirect("/products/search?s=" + searchValue);
    }

    /**
     * @return the searchValue
     */
    public String getSearchValue() {
        return searchValue;
    }

    /**
     * @param searchValue the searchValue to set
     */
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    /**
     * @return the foundProducts
     */
    public List<Product> getFoundProducts() {
        return foundProducts;
    }
}
