package controllers.products;

import ORM.Product;
import helpers.RequestDataManager;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;

/**
 * Bean used to show products search results
 * @author Jakub Macoun
 */
@ManagedBean(name="productsSearchResults")
@ViewScoped
public class ProductsSearchResultsBean {
    
    @ManagedProperty(value="#{products}")
    private ProductsBean productsBean;

    /** Creates a new instance of ProductsSearchResultsBean */
    public ProductsSearchResultsBean() {
    }

    public List<Product> getData() {
        List<Product> result = new ArrayList<Product>();
        String searchValue = RequestDataManager.get("s").toLowerCase();
        
        if (searchValue.isEmpty()) {
            return result;
        }
        
        for (Product product : productsBean.getProductsList()) {
            if (product.getName().toLowerCase().matches("^.*" + searchValue + ".*$")) {
                result.add(product);
            }
        }
        return result;
    }

    /**
     * @param productsBean the productsBean to set
     */
    public void setProductsBean(ProductsBean productsBean) {
        this.productsBean = productsBean;
    }
}
