package controllers.site;

import helpers.Mailer;
import helpers.Messager;
import helpers.Texter;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 * Bean handles contacts
 * @author Jakub Macoun
 */
@ManagedBean(name="contact")
@RequestScoped
public class ContactBean {
    
    private SupportForm supportForm = new SupportForm();
    
    /** Creates a new instance of ContactBean */
    public ContactBean() {
    }

    /**
     * @return the contactForm
     */
    public SupportForm getSupportForm() {
        return supportForm;
    }
    
    
    /**
     * The contact form class
     */
    public class SupportForm {
        private String name;
        private String email;
        private String content;
        
        /**
         * Clears form data
         */
        public void clear() {
            name = email = content = null;
        }
        
        /**
         * Sends the form
         */
        public void send() {
            String[] receipents = {"james.macoun@gmail.com"};
            String text = content + "\n\n" + "Jméno: " + name + "\nE-mail: " + email;
            
            try {
                Mailer.sendPlain(email, receipents, "Žádost o podporu", text);
            } catch (Exception ex) {
                Messager.addError(Texter.get("messages", "formFail"));
            } finally {
                clear();
                Messager.addInfo(Texter.get("messages", "formSent"));
            }
        }

        /**
         * @return the name
         */
        public String getName() {
            return name;
        }

        /**
         * @param name the name to set
         */
        public void setName(String name) {
            this.name = name;
        }

        /**
         * @return the email
         */
        public String getEmail() {
            return email;
        }

        /**
         * @param email the email to set
         */
        public void setEmail(String email) {
            this.email = email;
        }

        /**
         * @return the content
         */
        public String getContent() {
            return content;
        }

        /**
         * @param content the content to set
         */
        public void setContent(String content) {
            this.content = content;
        }
    }
  
}