package controllers.site;

import helpers.Texter;
import java.util.HashMap;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;

/**
 *
 * @author Jakub Macoun
 */
@ManagedBean(name = "viewInfo")
@ApplicationScoped
public class ViewInfoBean {

    private HashMap sectionsMap = new HashMap<String, String>();
    
    /**
     * Creates a new instance of ViewInfoBean
     */
    public ViewInfoBean() {
        buildNamesMap();
    }
    
    /**
     * Section name finder
     * @return Name of current section
     */
    public String getSectionName() {
        return (String)sectionsMap.get(FacesContext.getCurrentInstance().getViewRoot().getViewId().toString());
    }
    
    /**
     * Builds HashMap with section names
     */
    private void buildNamesMap() {
        sectionsMap.put("/index.xhtml", "Homepage");
        sectionsMap.put("/registration.xhtml", Texter.get("sectionNames", "registration"));
    }
}
