package helpers;

import javax.faces.context.FacesContext;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Class to manage cookies
 * @author Jakub Macoun
 */
public class Baker {
    
    /**
     * Creates a cookie for 365 days
     */
    public static void createCookie(String name, String value) {
        HttpServletResponse httpServletResponse =
                (HttpServletResponse) FacesContext.getCurrentInstance().getExternalContext().getResponse();
        Cookie cookie = new Cookie(name, value);
        cookie.setMaxAge(60*60*24*365);
        cookie.setPath("/");
        httpServletResponse.addCookie(cookie);
    }
    
    /**
     * Get cookie instance
     * @param name  Name of the cokie
     * @return Instance of the cookie
     */
    public static Cookie getCookie(String name) {
        HttpServletRequest httpServletRequest =
                (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
        Cookie[] cookies = httpServletRequest.getCookies();
        if (cookies != null) {
            for (int i = 0; i < cookies.length; i++) {
                if (cookies[i].getName().equalsIgnoreCase(name)) {
                    return cookies[i];
                }
            }
        }
        return null;
    }
    
    /**
     * Removes cookie
     * @param name Name of the cookie to remove
     */
    public static void removeCookie(String name) {
        HttpServletResponse httpServletResponse =
                (HttpServletResponse) FacesContext.getCurrentInstance().getExternalContext().getResponse();
        try {
            Cookie cookie = getCookie(name);
            cookie.setPath("/");
            cookie.setMaxAge(0);
            httpServletResponse.addCookie(cookie);
        } catch (NullPointerException ex) {}
    }
}