package helpers;

import java.util.Properties;
import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

/**
 * Class to send e-mails
 * SMTP server required
 * @author Jakub Macoun
 */
public class Mailer {
    
    // Configuration
    private static final String SERVER              = "";
    private static final String SERVER_TYPE         = "";
    private static final int    SERVER_PORT         = 465;
    private static final String SERVER_USER         = "";
    private static final String SERVER_PASSWORD     = "";
    
    private static String mode = "html";

    /**
     * Send an HTML e-mail
     * @param sender        Sender e-mail
     * @param recipients    List of recipients addresses
     * @param subject       Subject of the e-mail
     * @param text          Body of the e-mail
     * @throws Exception 
     */
    public static void send(String sender, String[] recipients, String subject, String text) throws Exception {
        Session session = Session.getDefaultInstance(new Properties());
        Message message = new MimeMessage(session);

        // Sender
        InternetAddress addressFrom = new InternetAddress(sender);
        message.setFrom(addressFrom);

        // Receipents
        InternetAddress[] addressTo = new InternetAddress[recipients.length]; 
        for (int i = 0; i < recipients.length; i++) {
            addressTo[i] = new InternetAddress(recipients[i]);
        }
        message.setRecipients(Message.RecipientType.TO, addressTo);

        // Content
        message.setSubject(subject);
        message.setContent(text, "text/" + mode + ";charset=utf-8");
        message.saveChanges();
        
        // Send
        Transport transport = session.getTransport(SERVER_TYPE);
        transport.connect(SERVER, SERVER_PORT, SERVER_USER, SERVER_PASSWORD);
        transport.sendMessage(message, message.getAllRecipients());
        transport.close();
    }
    
    /**
     * Send non-HTML e-mail
     * @param sender        Sender e-mail
     * @param recipients    List of recipients addresses
     * @param subject       Subject of the e-mail
     * @param text          Body of the e-mail
     * @throws Exception 
     */
    public static void sendPlain(String sender, String[] recipients, String subject, String text) throws Exception {
        mode = "plain";
        send(sender, recipients, subject, text);
        mode = "html";
    }
}
