package helpers;

import java.util.Map;
import javax.faces.context.FacesContext;

/**
 *
 * @author Jakub Macoun
 */
public class RequestDataManager {
    
    private static String lastValue;
    
    /**
     * Get request data value
     * @param name Name of the request data
     * @return Data as String
     */
    public static String get(String name) {
        Map<String, String> requestsMap = FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap();
        String value = requestsMap.get(name);
        
        if (value == null) {
            return lastValue;
        } else {
            lastValue = value;
            return value;
        }
    }
}
