package helpers;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import javax.faces.FacesException;
import javax.faces.context.FacesContext;

/**
 * Allows to get localized texts inside beans
 * @author Jakub Macoun
 */
public class Texter {
    
    public static String get(String group, String name) {
        try {
            FacesContext facesContext = FacesContext.getCurrentInstance();
            Locale locale = facesContext.getViewRoot().getLocale();
            ResourceBundle bundle = ResourceBundle.getBundle("/texts/" + group, locale);
            return bundle.getString(name);
        } catch (MissingResourceException ex) {
            throw new FacesException("Text " + group + "." + name + " not found");
        }
    }
}