package validators;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

/**
 * Checks equality of input from parameter matchAgainst
 * @author Jakub Macoun
 */
@FacesValidator(value="equality")
public class EqualityValidator implements Validator {

    @Override
    public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        UIInput matchComponent = (UIInput) component.getAttributes().get("matchAgainst");
        String matchValue = (String) matchComponent.getValue();
        String checkValue = (String) value;
        
        if (matchValue == null || matchValue.isEmpty()) {
            return;
        }

        if (!checkValue.equals(matchValue)) {
            throw new ValidatorException(new FacesMessage(
                "Component values are different"));
        }
    }
}